2019-09-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.46.1

2019-09-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	gio-unix-2.0: Add UnixMountEntry.get_root_path() since 2.60

	gstreamer: Update from 1.17.0+ git master

	gtk4: Update to 3.96.0+97231ca2

	gtk+-3.0: Fix ownership mismatch of ColorButton.rgba property-accessor
	Regression of 9a5cc9e58e160d8bb5308fe5bfc8b433d8c269f5 in combination with
	our gtk+-3.0 metadata:

	    // Keep properties non-abstract as before
	    *#interface.*#property abstract=false

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/844

2019-09-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Run FlowAnalyzer on all given source-files
	This is a regression triggered by 8f3a0a0b64e0c7fbcc9231c3058247920dd6eeda
	where we rely on information gathered by it and its changes to the AST.

	Silence "never used" warnings for external-package symbols.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/843

2019-09-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	valadoc: Explicitly pass --pkg libvala@PACKAGE_SUFFIX@ as for doclets/tests

2019-09-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.46.0

2019-09-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Reject unary operations on nullable integer/floating and boolean type
	Prefer to report a semantic error rather than creating invalid c-code.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/772

	libvaladoc: Don't traverse into close circles with parent
	SymbolResolver.resolve_thrown_list() adds error-type nodes which are
	allowed to be NodeType.ERROR_DOMAIN and NodeType.CLASS.

	This can result in a cycle on invoking Node.accept_all_children(),
	Node.parse_comments() or Node.check_comments()

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/829

2019-09-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Exclude nullable simple-type structs from gobject-property support
	Defining "bool? { owned get; set; }" in a GObject class resulted in:

	  "error: The type `bool' doesn't declare a GValue take function"

	Fixes a regression of 3af1cfb3bf6b1d3d4a8116382e6eda702f7335bf and reverts
	to the old behavior for nullable simple-type structs.

2019-09-03  Jeremy Philippe  <jeremy.philippe@gmail.com>

	tests: Add regression test for genie struct construction

2019-09-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	genie: Creation methods should not be static
	Revealed by ba8122d3a64e44eac44c5254c93fb181df601b0a

2019-09-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	json-glib-1.0: Change abstract methods of Serializable to virtual
	All those interface methods have default implementations. Additionally drop
	superfluous metadata.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/840

	Add boolean CodeContext.keep_going and corresponding compiler option
	If keep_going is set then check() will continue after hitting errors in
	resolver and analyzer.

	codegen: Don't unconditionally add/return internal "result" variable
	Found by -Werror=unreachable-code

	See https://gitlab.gnome.org/GNOME/vala/issues/838

	codegen: Don't cause double-free due append_local_free() in uncaught-errors
	See https://gitlab.gnome.org/GNOME/vala/issues/838

	codegen: Don't append unreachable clean-up section of Block
	Found by -Werror=unreachable-code

	See https://gitlab.gnome.org/GNOME/vala/issues/838

2019-09-02  Jeremy Philippe  <jeremy.philippe@gmail.com>

	glib-2.0: Add missing "DestroysInstance" attributes to Mutex/Locker API

	glib-2.0: Fix MutexLocker binding

	glib-2.0: Use 'GStatBuf' as ctype for 'Stat'
	The documentation of g_stat () states:

	In Microsoft's compiler, by default struct stat means one with
	64-bit time fields while in MinGW struct stat is the legacy one
	with 32-bit fields.

	To hopefully clear up this mess, the gstdio.h header defines a
	type GStatBuf which is the appropriate struct type depending
	on the platform and/or compiler being used. On POSIX it is just
	struct stat, but note that even on POSIX platforms, stat() might
	be a macro.

	codewriter: Write "weak" modifier for properties

2019-09-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	girparser/gidlparser: "value_owned = true" by default for property types
	This represents an internal implementation detail which is available from
	vala sources and it does not effect the ownership of property accessors.

	tests: Add dedicated "property ownership" tests

2019-09-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer: Update from 1.17.0+ git master

	gio-2.0: Drop metadata for NativeSocketAddress

2019-08-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Extend "pre- and post-condition" test to increase coverage

2019-08-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Move find_parent_type_symbol/get_this_type() to SemanticAnalyzer

	glib-2.0: Add new symbols from 2.62

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.0+ git master

	Regenerate GIR-based bindings to pick up out/ref instance-parameters

	gtk4: Regenerate to pick up DestroyInstance attributes
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/836

	girparser: Improve evalution of instance-parameter information
	See https://gitlab.gnome.org/GNOME/vala/issues/836

2019-08-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	libsoup-2.4: soup_auth_new is not a constructor but a factory method
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/791

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.0+ git master

2019-08-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.45.91

2019-08-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Add missing closing brace/bracket in to_string()

2019-08-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Init formal_target_type of ArrayCreationExpr from InitializerList
	formal_target_type is expected to be set when inferring generic type
	parameters.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/835

2019-08-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	linux: Add more Input and update UserspaceInput bindings
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/830

2019-08-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	cairo: Add 1.16 symbols

2019-08-06  Michael Gratton  <mike@vee.net>

	sqlite3: Bind sqlite3_expanded_sql() and sqlite3_normalised_sql()

2019-08-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.45.90

2019-08-04  Mart Raudsepp  <leio@gentoo.org>

	valadoc: Install icons and doclets to API dependent folders
	This allows to co-install different valadoc versions as for the compiler.

2019-08-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	glib-2.0: Add new symbols and deprecations from 2.62

2019-07-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Support static methods in error-domains
	Actually generate methods defined inside error-domains and state that
	instance methods are not supported yet.

	See https://gitlab.gnome.org/GNOME/vala/issues/829

2019-07-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Include required type-definition when casting from generic pointer
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/828

2019-07-25  David Hewitt  <davidmhewitt@gmail.com>

	x11: Fix return type of XInternAtoms and XGetAtomNames bindings

2019-07-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Move private type-struct to type-definition section

	codegen: Append line-break after G_DEFINE_AUTOPTR_CLEANUP_FUNC
	In addition to 38781a502b7381ef5383ae282fa33ddda9b493ed

2019-07-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add GMutex and GRecMutex test to increase coverage

2019-07-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Use G_TYPE_CHECK_INSTANCE_CAST for comparisons with interfaces
	Avoids "comparison of distinct pointer types lacks a cast" warning for
	such cases.

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.0+ git master

	girparser: Handle "function-macro" by skipping them
	See https://gitlab.gnome.org/GNOME/gobject-introspection/merge_requests/159

2019-07-21  Jim Mason  <jmason@ibinx.com>

	vala: Fix mixup of target_glib_major/minor in set_target_glib_version()
	Introduced with 3d926c1288b3ec4fd692dd1de6b91fb6c2090183

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/825

2019-07-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Implicit GValue cast requires GOBJECT profile
	This fixes criticals like
	    vala_data_type_get_data_type: assertion 'self != NULL' failed

	Regression of 7d771a0c07d63cb7605cbdc28dd8df50719731f8

	vala: NoAccessorMethod checks require GOBJECT profile
	This fixes criticals like
	    vala_class_real_is_subtype_of: assertion 't != NULL' failed

	Regression of a6441ec3c27e059d32501a4e09c937ac668f3ad9

	vala: 'construct' is not supported in POSIX profile
	This fixes criticals like
	    vala_class_real_is_subtype_of: assertion 't != NULL' failed

	Regession of 6c8c75f59024b32230b1c13ea344a568f19b86df

	posix: Fix return-value of mknod() and c-include for tcgetsid()
	Introduced with 535f2734d19875ccc1f170841b72eba0c4adad1e

2019-07-19  Christian Kellner  <christian@kellner.me>

	posix: add *at() calls and related constants
	Add missing calls from the *at() call family that was added in
	POSIX.1-2008, and related constants.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/823

2019-07-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	webkit2gtk-4.0: Fix WebContext.initialize_notification_permissions()
	Bind it as WebContext.init_notification_permissions() to avoid conflict.

2019-07-16  Christian Kellner  <christian@kellner.me>

	glib-2.0: add MappedFile.from_fd constructor
	Add the missing 'g_mapped_file_new_from_fd' constructor, added
	with glib 2.32.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/824

2019-07-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.45.3

2019-07-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Fix RecMutexLocker binding

	vapi: Update GIR-based bindings

	gtk4: Update to 3.96.0+b05d1676

	gstreamer: Update from 1.17.0+ git master

	glib-2.0: Add new symbols from 2.62

	glib-2.0: Add binding for g_strv_equal() (since 2.60)

2019-07-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Real structs are allowed by simple generics and passed as reference
	Add the required pointer-indirections to fix invalid memory accesses.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/819

2019-07-05  Jeremy Philippe  <jeremy.philippe@gmail.com>

	build: Pass -no-undefined when linking libcodegen
	This is required to build under MinGW (and presumably Cygwin).

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/820

2019-07-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Assign GValue result of function calls to temp-var on copy_value
	Regression of a94a28141e1f222d1da7e72bea4cd2d1e5242f41

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/819

2019-07-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Don't write declaration of extern symbols with given header
	The corresponding header will provide the declaration and therefore fix
	build with -Werror=redundant-decls.

	Set cheader_filename for implicit to_string() method of enums which is
	transformed into symbol calls from glib-object.h. This avoids the leak of
	an superfluous prototype of that method into the generated c code.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/745

	vala: Add Symbol.is_extern and use/set is accordingly
	This actually holds the information whether a symbol was declared
	with `extern` modificator. Adjust the setting of Symbol.external and
	usage of Symbol.external_package.

	See https://gitlab.gnome.org/GNOME/vala/issues/745

2019-07-01  Gran PC  <gran.pc@gmail.com>

	xtst: Fix signature of XTest.fake_relative_motion_event()
	See https://gitlab.gnome.org/GNOME/vala/merge_requests/67

2019-07-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Bind strcmp0 as GLib.CompareFunc<string?>
	Allows proper usage with experimental non-null

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/810

2019-06-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.45.2

	tests: Null-terminate arrays for compatibility test of uint8 and uchar
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/809

	vala: Only warn about imcompatible type of external construct property
	This is to reduce the initial fallout.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/803

2019-06-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.24.9~18177388

	gtk4: Update to 3.96.0+8cfdd6c5

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.0+ git master

	girparser: Skip 'attribute' elements

2019-06-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Use non-deprecated GLib.ModuleFlags values

	genie: Make 'self' match its TokenType name

	girwriter: Report error on secondary top-level namespace to be written
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/805

	codegen: Use array_length of collection variable instead of expression

	libvaladoc: Use non-deprecated GLib.ModuleFlags values

2019-06-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	gmodule-2.0: Build from GIR

2019-06-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	glib-2.0: Add Unicode 12.0 symbols

2019-06-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	genie: Drop unused "writeonly" token

	gtk4: Update to 3.96.0+69016825

2019-05-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 3.96.0+cfe648eb

	gstreamer: Update from 1.17.0+ git master

	webkit2gtk-4.0: Update to 2.25.1

2019-05-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.0+ git master

2019-05-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.45.1

	vala: Strip "basedir" from Source.filename attribute
	This is gives some control over the written relative filenames and fixes
	make distcheck due of out-of-source-dir building.

	gtk4: Update to 3.96.0+322507f2

2019-05-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: When freeing local variables don't stop at "switch" on "continue"
	So distinguish between BreakStatement and ContinueStatement to make the
	correct decision in append_local_free().

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/799

2019-05-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	clutter-1.0: Bind Margin, PaintVolume, Point, Rect and Size as struct
	Reverts 0cd8009728245300d32009fb029898b4a3ceed8a and its confusion
	regards "caller-allocates" out-parameters

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/795

	Regenerate GIDL-based bindings to fix getter ownership of struct properties

	Regenerate GIR-based bindings to fix getter ownership of struct properties

	vala: Trust "value_owned" when writing property getter

	vala: No-accessor struct properties in GLib.Object class must be owned
	Real structs are returned as heap-allocated structor by g_object_get() and
	not defining them with owned getter results in memory leaks.

	Additionally force DelegateType, PointerType and ValueType as unowned to
	preserve the current behaviour for binding generation.

	tests: Properties with NoAccessorMethod return heap-allocated structs

	cogl-1.0: Fix out-params in Cogl.get_modelview_matrix/projection_matrix/bitmasks
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/794

2019-05-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.0+ git master

	gtk4: Update to 3.96.0+6a27fe15

2019-05-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Always use G_TYPE_CHECK_INSTANCE_TYPE for external symbols
	and get_ccode_type_check_function() for SourceFileType.SOURCE symbols.

2019-05-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	girparser: Add support for string "ctype" metadata
	https://gitlab.gnome.org/GNOME/vala/issues/793

2019-05-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Support GObject properties with nullable GType-based struct type
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/792

2019-05-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	girwriter: Write implicit fields for arrays and delegates

	girwriter: Write implicit parameters and properties for generics

2019-05-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	compiler: Add OptionFlags.NO_ARG to deprecated "--thread" option
	It was defined with OptionArg.NONE and never took an extra argument.

	Regression of d8e810680f370fac7e9a5e80f8d94316707625c2

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.0+ git master

	gtk4: Update to 3.94.0+724ec3ca

	girwriter: Only replace existing GIR files if they changed
	Same how it is done in CodeWriter.write_file()

2019-04-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	girwriter: Populate gir_namespace/version attributes of external namespaces

	girwriter: Don't write c:include tags for symbols from external packages

	girwriter: Properly write attributes for non-GObject classes

2019-04-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Actually define SkippedStruct as struct for girwriter

	codegen: Make sure to call a corresponding pop_function()

	codegen: Make sure to call a corresponding pop_line()

	codegen: Make sure to call a corresponding pop_context()

	tests: Adjust for fuzzy generated GIR header
	In addition to fd3fedf3e7fd56162e5721d9e7487784b009c75b

	girwriter: Don't write "property" attribute for non-gobject properties

	codegen: Move construct property checks to SemanticAnalyzer pass

	codegen: Move GObject property validity checks to SemanticAnalyzer

	valadoc/tests: construct properties require GLib.Object derived class

2019-04-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Fix namespace attributes for girwriter

	girwriter: Properly resolve GLib.TypeInterface instead of hardcoding it
	This makes sure to pick up the dependency on GObject-2.0.gir

	girwriter: Mention that this file is generated and not meant to be modified
	Same as already done for generated vapi files.

2019-04-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	build: Pass some useful G_LOG_DOMAIN definitions

2019-04-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: More "unassigned variable" tests to increase coverage

2019-04-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Add graphene-1.0 to allow smoother transition to graphene-gobject-1.0

2019-04-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add "fast-vapi" test to increase coverage

	vala: Write "Source" attribute in fast-vapi mode
	This enables users to reference to the original source of a symbol.

	[Source (filename = "...", line = ..., column = ...)]

2019-04-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	javascriptcoregtk-4.0: Update to 2.24.1

	gtk4: Update to 3.94.0+2656f5b4

	gstreamer: Update from 1.15.90+ git master

2019-04-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Extend "foreach" tests to increase coverage

	tests: Extend "assigned local variable" control flow tests

2019-04-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: Set correct end source-reference of Block for embedded statement

2019-04-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: Improve source-reference of declaration block for ForStatement

	parser: Improve source-location for local Constant declarations

	parser: Don't include trailing semi-colon to ExpressionStatement

	parser: Improve source-location for LocalVariable/DeclarationStatement

	parser: Set correct end source-location for Block
	This location was off by one token.

2019-04-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	Sync NEWS from 0.44

2019-04-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	libarchive: Fix Archive.[set_]mode/perm() and add Archive.FileMode
	Keep FileType as special case of FileMode for filetype methods.

	gtk4: Update to 3.94.0+2594593d

	gdk-3.0,gtk+-3.0: Update from 3.24.7+

	gstreamer: Update from 1.15.2+ git master

	codegen: Always assign original variable when consuming instance to destroy
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/781

2019-04-07  Luca Bruno  <lucabru@src.gnome.org>

	vala: Use global CodeContext to retrieve root_symbol

2019-04-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Include possible "result" to defined variables of Method

	tests: Add "unassigned local variable in while" test

	tests: Extend "assigned local variable" control flow tests
	Cover condition statements of WhileStatement and ConditionalExpression

2019-04-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	pango: Fix StringBuilder parameter of scan_word()

2019-04-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	build: Require --with-cgraph configure flag when cross-compiling
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/775

2019-04-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	valadoc: Drop obsolete "Driver" API

2019-03-31  Rico Tzschichholz  <ricotz@ubuntu.com>

	Sync NEWS from 0.44

	Add explicit "default: break;" statements for coverage of enum-typed switch

	libvaladoc: Handle missing Run.Style.NONE in switch

	libvaladoc: Handle missing Content.List.Bullet.ORDERED in switch

2019-03-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 3.94.0+f273eca7

2019-03-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Implement silent-cast for GLib.Variant
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/767

	gstreamer-1.0: Fix TypeFind and TypeFindFactory method references

	gobject-introspection-1.0: Fix TypeInfo and TypeTag method references
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/778

	girparser: Create correct output in get_default_lower_case_suffix()
	It must match the output of CCodeAttribute.get_default_lower_case_suffix()

	Add metadata support to set lower_case_csuffix

	See https://gitlab.gnome.org/GNOME/vala/issues/778

2019-03-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Report error for unsupported operator instead of assertion

	docs: Bump glib requirement in README.md

	tests: Add "struct (un)boxing" variant test

2019-03-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Don't replace assignments for local variables with non-null simple-types
	Reintroduce e701142da4601ece5ca71cc4484728b08969c74e

	See https://gitlab.gnome.org/GNOME/vala/issues/755

	codegen: Handle "modulo" operation on floating-types in CCodeAssignmentModule
	Duplication with CCodeBaseModule.visit_binary_expression()

	See https://gitlab.gnome.org/GNOME/vala/issues/755

2019-03-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Use available *_unref functions in G_DEFINE_AUTOPTR_CLEANUP_FUNC
	Compact classes might have a unref_function in external packages. Therefore
	subclassing them resulted in an errornous reference to free_function.

	codegen: Move implicit GValue cast for comparison to BinaryExpression
	Handle "==" and "!=" only as it was done before.

	This generates correct c-code for boxed simple-types and will perform
	value-based comparisons.

	See https://bugzilla.gnome.org/show_bug.cgi?id=585063

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.15.2+ git master

	gio-2.0: Revert enum-typed flags parameters in Socket API
	See https://gitlab.gnome.org/GNOME/glib/merge_requests/728

2019-03-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Use default-value to pass element_size to GArray constructor
	Based on patch by Jakub Kaszycki

	codegen: Resolve generics in sizeof-expression of parameter initializer

	codegen: Don't create special GArray clear-func for non-null structs
	Based on patch by Jakub Kaszycki

	codegen: Move try_cast_variant_to_type() to GVariantModule.visit_cast_expression()

	codegen: Move get_type_signature() to DataType

	ccode: Rename CCodeFeatureTestMacro to CCodeDefine and generalize it
	This now serves as base for CCodeMacroReplacement too.

2019-03-22  Corentin Noël  <corentin@elementary.io>

	tests: Add more invalid "assignment" tests to increase coverage

	tests: Add a field starting with a digit test

2019-03-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add some invalid "array slice" tests to increase coverage

2019-03-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Bump implicit target-glib to 2.48
	Missing in 1229ead2f945d913b3264f898f363aa4bf46f217

	See https://gitlab.gnome.org/GNOME/vala/issues/671

	vala: Add CodeContext.get_source_file() and perform some sanity checks

	codegen: No need to retrieve CodeContext.save_csources inside loop

	glib-2.0: Don't annotate dedicated GLib.assert_*() functions with [Assert]
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/769

	codegen: Move and make a few methods to static functions

	vala: Variadic parameters are not supported for async methods

2019-03-18  Corentin Noël  <corentin@elementary.io>

	vapi: Rename graphene-1.0 to graphene-gobject-1.0
	It is the actual name of the pkg-config to use

2019-03-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Remove vte, vte-2.90 bindings
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/584

	codegen: Handle ArrayType in visit_delete_statement() as delete allows them

	vala: Report error for yield statements without async context

	vala: Report error for public creation methods of abstract classes
	Only report a warning for external creation methods to reduce the initial
	fallout.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/766

	vala: Add support for --target-glib=auto
	Determine target-glib according to the available version of glib-2.0.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/761

	Require and target GLib >= 2.48
	The next stable release of vala will happen 3.5 years after the
	release of GLib 2.48.0.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/671

	Bump version suffix to 0.46

	Release 0.44.1

2019-03-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

	gtk4: Update to 3.94.0+f14d998c

	gstreamer: Update from 1.15.2+ git master

2019-03-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	libgvc: Some additions and ownership/return-type fixes

	libvaladoc: Don't try to create a Content.ListItem when there is none

	glib-2.0: Add string.validate_len() since 2.60

2019-03-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	vte-2.90: Mark as deprecated, it was replaced by vte-2.91

2019-03-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: Implicit creation method of abstract classes must be protected

	Mark defined constructors of abstract classes as protected

	gio-2.0: SocketAddress.from_native() is a factory method not a constructor

2019-03-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Allow assignment of 0U to enum types
	Don't restrict unsigned 0 literal to flags-enums though.

	ccodegen: Use unsigned default value for flags-enum

	tests: Add "method ccode return-type" test to increase coverage
	https://bugzilla.gnome.org/show_bug.cgi?id=699956

	tests: Extend "struct with delegate" test to increase coverage

	gsignal: Move disconnect error from signal-module to semantic-analyzer pass
	Add corresponding invalid test to increase coverage

	gsignal: Use guint to represent flags-enum in custom GMarshalFunc

	tests: Extend "detailed signal" test to increase coverage

	gsignal: get_detail_cexpression/get_signal_name_cexpression must not be null

2019-03-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.44.0

2019-03-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: Don't include member-initializer in src-ref of object-creation-expr

	parser: Don't include initializer in src-ref of array-creation-expression

	parser: Extend source_reference of initializer-list to cover "{ ... }"

	parser: Exclude trailing semicolon from source_reference of statements

	parser: Don't include assigned value in source_reference of constants
	This is how it is done for fields already.

	parser: Restrict source_reference for catch/lock expression to its header

2019-03-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 3.94.0+eacbeb9e

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.15.2+ git master

2019-03-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: More regular invocations of check() on inferred Expression.value_type

	tests: Add regression test for generic-type interference of static function

2019-03-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.43.92

2019-03-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Extent "post-condition" method test to increase coverage

	vapi: Update GIR-based bindings

	gtk4: Update to 3.94.0+b4ae491b

	codegen: Include "glib-object.h" for typeof expression

	vala: Don't ignore qualified parent when inferring type of enum member
	Regression of 33c91a04f758c89f0402994a6df894e6c2032def

	https://bugzilla.gnome.org/show_bug.cgi?id=666035

2019-02-28  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Correctly perform compatibility check of array length-type
	Regression of 36671ae5def89b46384e627a467247c834948254

	https://gitlab.gnome.org/GNOME/vala/issues/607

2019-02-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	girwriter: Always use get_gir_name() for TypeSymbols

	codegen: Respect finish[_vfunc]_name attributes defined in vala sources

	codegen: Replace gvaluecollector_h_needed with dedidated add_include() calls

2019-02-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	poppler-glib: Update to 0.74

	tests: Extent "girwriter" test to increase coverage

	girwriter: Support transfer-ownership="container" for arrays

	genieparser: Don't create VoidType unconditionally

2019-02-26  Alistair Thomas  <astavale@yahoo.co.uk>

	genie: Allow the main function "init" to return an integer as exit status
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/402

	tests: Add some Genie tests to increase coverage

	testrunner: Add support for Genie source files (.gs)

2019-02-25  Rico Tzschichholz  <ricotz@ubuntu.com>

	gobject-2.0: Add SignalHandler.disconnect_by_data()

2019-02-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Respect array_length_cname attribute for global fields

	codegen: Add get_variable_array_length_cname() and use as possible
	This also replaces get_parameter_array_length_cname()

	codegen: Replace if-else-tree with switch in visit_binary_expression()

	codegen: Replace if-else-tree with switch in visit_unary_expression()

	tests: TypeModule allows registering static types since 2.56
	This prevents fatal runtime testing.

2019-02-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add "custom types" struct tests to increase coverage

	tests: Add "constructor chain up" generics test to increase coverage

	tests: Add "null-terminated array" delegate test to increase coverage

	tests: Add "struct in array" test to increase coverage

	tests: Add "to_string" enum test to increase coverage

	tests: Add "ModuleInit" test to increase coverage

	codegen: Only emit declaration of *_register_type if needed
	This allows to add a test case for ModuleInit with -Werror=redundant-decls

	codegen: Allow to associate CCodeFile to actual SourceFile

	codegen: Rename to CCodeMethodCallModule.generate_enum_to_string_function()

2019-02-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.43.91

	glib-2.0: Add "delegate_target = false" to Log.writer_journald/_standard_streams/_default
	In addition to d9bab3f04f8c9713929ab1ef166472b5f8c84ee7

	tests: Add regression test for modulo operation on double and float
	https://bugzilla.gnome.org/show_bug.cgi?id=610660

	Revert "vala: Don't replace assignments for local variables with non-null simple-types"
	This reverts commit e701142da4601ece5ca71cc4484728b08969c74e.
